@import url("../js/leaflet/leaflet.css");
@import url("./sitemap/sitemap-all.css");
@import url("./video-player.css");
@import url("./dd_icomoon20.css");
@import url("./fonts.css");

/**
 * https://developer.mozilla.org/en-US/docs/Web/CSS/@media/resolution
 * https://developer.mozilla.org/en-US/docs/Web/CSS/@media/-webkit-device-pixel-ratio
 */
@media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 2dppx) {
    html, body {
        font-size: 1.2em;
    }
}

.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
      -webkit-user-select: none; /* Safari */
       -khtml-user-select: none; /* Konqueror HTML */
         -moz-user-select: none; /* Old versions of Firefox */
          -ms-user-select: none; /* Internet Explorer/Edge */
              user-select: none; /* Non-prefixed version, currently
                                    supported by Chrome, Opera and Firefox */
}

.login-logo {
    height: 100%;
}

.login-logo > .logo-container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.login-logo > .logo-container > img {
    width: 100%;
}

.main-logo {
    display: flex;
    flex-direction: row;
    height: 100%;
}

.main-logo > .logo-container {
    margin-left: 10px;
    margin-top: 10px;
    margin-bottom: 10px;
    height: calc(100% - 20px);
}

.main-logo > .logo-container > img {
    height: 100%;
}

.main-logo > .powered-by {
    flex: 1;
    display: flex;
    align-items : center;
    justify-content: left;
    margin-left: 10px;
    color: #888;
    font-size: 10px;
    font-family: "Pluto Sans Cond Regular";
    height: 100%;
}

.main-logo.vertical {
    flex-direction: column;
}

.main-logo.vertical > .logo-container {
    margin-bottom: 0px;
    height: calc(100% - 30px);
}

.powered-by span.drone {
    color: #009EE3;
}

.powered-by span.tracker {
    color: #E5310E;
}

/**
 * CSS for spinner icon
 */
 .loader {
    border: 2px solid #f3f3f3; /* Light grey */
    border-top: 2px solid #009ee3; /* ddBlue */
    border-radius: 50%;
    width: 16px;
    height: 16px;
    animation: spin 2s linear infinite;
}

.loader.slow {
    animation: spin 4s linear infinite;
}

.loader.info {
    border-top-color: #8d9da9;
    border-left-color:#30383f; 
    border-right-color:#30383f; 
    border-bottom-color:#30383f;
}

.loader.warning {
    border-top-color: #ffdd8a;
    border-left-color:#996d00; 
    border-right-color:#996d00; 
    border-bottom-color:#996d00;
}

.loader.error {
    border-top-color: #ffa6ac;
    border-left-color:#70040b; 
    border-right-color:#70040b; 
    border-bottom-color:#70040b;
}

.loader.small {
    width: 12px;
    height: 12px;
}

.loader.fast {
    animation: spin 1s linear infinite;
}

.loader.bg-dark {
    border-left-color:#b6b6b6; /* Light grey */
    border-right-color:#b6b6b6; /* Light grey */
    border-bottom-color:#b6b6b6; /* Light grey */
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

/**
 * CSS data transfer loading animation
 */
.loader.data-transfer {
    border: none;
    border-radius: 0;
    width: 50px;
    height: 40px;
    animation: none;
    text-align: center;
    font-size: 10px;
}

.loader.data-transfer > div {
    background-color: #fff;
    width: 4px;
    height: 100%;
    display: inline-block;
    margin: 0 3px 0 0;

    -webkit-animation: data-transfer 1.2s infinite ease-in-out;
    animation: data-transfer 1.2s infinite ease-in-out;
}

.loader.data-transfer.red > div {
    background-color: #f00;
}

.loader.data-transfer .rect2 {
    -webkit-animation-delay: -1.1s;
    animation-delay: -1.1s;
}

.loader.data-transfer .rect3 {
    -webkit-animation-delay: -1.0s;
    animation-delay: -1.0s;
}

.loader.data-transfer .rect4 {
    -webkit-animation-delay: -0.9s;
    animation-delay: -0.9s;
}

.loader.data-transfer .rect5 {
    -webkit-animation-delay: -0.8s;
    animation-delay: -0.8s;
}

@-webkit-keyframes data-transfer {
    0%, 40%, 100% { -webkit-transform: scaleY(0.4) }  
    20% { -webkit-transform: scaleY(1.0) }
}
  
@keyframes data-transfer {
    0%, 40%, 100% { 
        transform: scaleY(0.4);
        -webkit-transform: scaleY(0.4);
    }
    20% { 
        transform: scaleY(1.0);
        -webkit-transform: scaleY(1.0);
    }
}

/**
 * Radar pulse CSS3 animation
 */
.radar-pulse {
    animation-name: radar-pulse;
    animation-duration: 3s;
    animation-iteration-count: infinite;
    animation-timing-function: cubic-bezier(0.2, 0.49, 0.25, 0.89);
}

@keyframes radar-pulse {
    0% {
        opacity: 0;
        transform: scale(0.0, 0.0);
    }
    10% {
        opacity: 1.0;
    }
    33% {
        transform: scale(1.0, 1.0);
    }
    44% {
        opacity: 0.8;
    }
    60% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}

/** 
 * This is the pre v3.2 glowing/flashing animation for zones.
 * Unfortunately this uses more than x2.5 times of GPU time as the "heartbeat" animation below.
 */
.zone-alert-glowing {
    animation-name: zone-glowing;
    animation-duration: 600ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes zone-glowing {
    0% {
        stroke-width: 2;
    }
    50% {
        stroke-width: 5;
    }
    100% {
        stroke-width: 2;
    }
}

/** 
 * This is the post v3.2 heartbeat animation for zones.
 * It just flashes once per second for ~300ms and less than 
 * x2.5 times of GPU time instead of the old glowing/flashing animation.
 */
.zone-alert-heartbeat {
    animation-name: zone-heartbeat;
    animation-duration: 1000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes zone-heartbeat {
    0% {
        stroke-width: 3;
    }
    70% {
        stroke-width: 3;
    }
    85% {
        stroke-width: 5;
    }
    100% {
        stroke-width: 3;
    }
}

kbd {
    -moz-border-radius:3px;
    -moz-box-shadow:0 1px 0 rgba(0,0,0,0.2),0 0 0 2px #fff inset;
    -webkit-border-radius:3px;
    -webkit-box-shadow:0 1px 0 rgba(0,0,0,0.2),0 0 0 2px #fff inset;
    background-color:#f7f7f7;
    border:1px solid #ccc;
    border-radius:3px;
    box-shadow:0 1px 0 rgba(0,0,0,0.2),0 0 0 2px #fff inset;
    color:#333;
    display:inline-block;
    font-family:Arial,Helvetica,sans-serif;
    font-size:11px;
    line-height:1.4;
    margin:0 .1em;
    padding:.1em .3em;
    text-shadow:0 1px 0 #fff;
}

.t-fixed-num {
    -moz-font-feature-settings:"tnum" 1;
    -ms-font-feature-settings:"tnum" 1;
    -o-font-feature-settings:"tnum" 1;
    -webkit-font-feature-settings:"tnum" 1;
    font-feature-settings:"tnum" 1;
}

.i18n table {
    width: 100%;
    height: 100%;
    border: 1px solid gray;
    border-collapse: collapse;
    overflow: hidden;
}

.i18n table th {
    border-right: 1px solid gray;
    border-bottom: 1px solid gray;
}

.i18n table td {
    border-right: 1px solid gray;
    border-bottom: 1px solid gray;

    -webkit-touch-callout: initial; /* iOS Safari */
      -webkit-user-select: initial; /* Safari */
       -khtml-user-select: initial; /* Konqueror HTML */
         -moz-user-select: initial; /* Old versions of Firefox */
          -ms-user-select: initial; /* Internet Explorer/Edge */
              user-select: initial; /* Non-prefixed version, currently
                                  supported by Chrome, Opera and Firefox */
}

.i18n table td.msgstr, .i18n table tfoot th {
  padding:5px;
  width:50%
}

.i18n table td.missing {
    background-color:#ffcccb;
}

.i18n table td.userdefined {
    background-color:#e5ffe5;
}


.i18n table td.msgid {
  padding:5px;
    width: 50%;
    text-overflow: ellipsis;
}


.i18n table tr:hover {
  background-color:#eef;
}

.i18n.ignored table {
    color: #5e5e5e;
}

.i18n.bad table {
    color: #f00;
}